%{?nodejs_find_provides_and_requires}

%global packagename stream-browserify
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.0
Release: 1%{?dist}.3
Summary: the stream module from node core for browsers
License: MIT
URL: https://github.com/substack/stream-browserify
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 2.1.0
BuildRequires: npm(readable-stream) >= 1.0.27
BuildRequires: npm(readable-stream) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 2.3.2
BuildRequires: npm(typedarray) >= 0.0.5
BuildRequires: npm(typedarray) < 0.1.0
%endif

%description
The stream module from node core, for browsers!


%prep
%setup -q -n package
%nodejs_fixdep readable-stream '^1.0.27'
%nodejs_fixdep --dev tape '>=2.3.2'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps
# Fix symlink to point to specific version
rm -f %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 \
    %{buildroot}%{nodejs_sitelib}/%{packagename}/node_modules/readable-stream

%check
%nodejs_symlink_deps --check
# Fix symlink to point to specific version
rm -f node_modules/readable-stream
ln -sf /usr/lib/node_modules/readable-stream@1 node_modules/readable-stream

%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Oct  2 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
